Bug 1374626 - Worker crashes with EINVAL errors
Summary: Worker crashes with EINVAL errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: geo-replication
Version: 3.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Aravinda VK
QA Contact:
URL:
Whiteboard:
Depends On: 1373373
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-09 09:04 UTC by Aravinda VK
Modified: 2017-02-22 05:50 UTC (History)
1 user (show)

Fixed In Version: glusterfs-3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1373373
Environment:
Last Closed: 2016-12-06 06:00:40 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Aravinda VK 2016-09-09 09:04:43 UTC
+++ This bug was initially created as a clone of Bug #1373373 +++

Description of problem:
During Hybrid crawl if the files are unlinked then worker crashes with EINVAL error.

Steps to Reproduce:
1. Create Master Volume and generate data
2. Create Slave Volume and establish Geo-rep session and start(Starts with Hybrid Crawl for initial sync)
3. Once started wait for 2-5 seconds and delete files.

Actual results:
Worker crashes with EINVAL traceback

Expected results:
Workers should not crash

--- Additional comment from Worker Ant on 2016-09-06 02:40:28 EDT ---

REVIEW: http://review.gluster.org/15404 (geo-rep: Fix ESTALE/EINVAL issue during set_{xtime,stime}) posted (#1) for review on master by Aravinda VK (avishwan@redhat.com)

--- Additional comment from Worker Ant on 2016-09-08 12:15:45 EDT ---

COMMIT: http://review.gluster.org/15404 committed in master by Aravinda VK (avishwan@redhat.com) 
------
commit 9db2826cd8dbcc0fb58f5434c21d00ca5c15c491
Author: Aravinda VK <avishwan@redhat.com>
Date:   Tue Sep 6 12:02:02 2016 +0530

    geo-rep: Fix ESTALE/EINVAL issue during set_{xtime,stime}
    
    Setfattr may get ESTALE/EINVAL if a file is being unlinked.
    To prevent worker crashing, added retry for these error messages.
    
    On second retry it will get ENOENT and that error is handled by
    ignoring.
    
    BUG: 1373373
    Change-Id: Ic660fa13208366d57c8d3d492bbef611475e45b7
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    Reviewed-on: http://review.gluster.org/15404
    Reviewed-by: Saravanakumar Arumugam <sarumuga@redhat.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Kotresh HR <khiremat@redhat.com>
    Smoke: Gluster Build System <jenkins@build.gluster.org>

Comment 1 Worker Ant 2016-09-09 09:06:39 UTC
REVIEW: http://review.gluster.org/15445 (geo-rep: Fix ESTALE/EINVAL issue during set_{xtime,stime}) posted (#1) for review on release-3.9 by Aravinda VK (avishwan@redhat.com)

Comment 2 Worker Ant 2016-09-15 06:30:05 UTC
COMMIT: http://review.gluster.org/15445 committed in release-3.9 by Aravinda VK (avishwan@redhat.com) 
------
commit 8ec42734d425328f8b8ea44054fc45a91dba9588
Author: Aravinda VK <avishwan@redhat.com>
Date:   Tue Sep 6 12:02:02 2016 +0530

    geo-rep: Fix ESTALE/EINVAL issue during set_{xtime,stime}
    
    Setfattr may get ESTALE/EINVAL if a file is being unlinked.
    To prevent worker crashing, added retry for these error messages.
    
    On second retry it will get ENOENT and that error is handled by
    ignoring.
    
    > Reviewed-on: http://review.gluster.org/15404
    > Reviewed-by: Saravanakumar Arumugam <sarumuga@redhat.com>
    > NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    > CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    > Reviewed-by: Kotresh HR <khiremat@redhat.com>
    > Smoke: Gluster Build System <jenkins@build.gluster.org>
    
    BUG: 1374626
    Change-Id: Ic660fa13208366d57c8d3d492bbef611475e45b7
    Signed-off-by: Aravinda VK <avishwan@redhat.com>
    (cherry picked from commit 9db2826cd8dbcc0fb58f5434c21d00ca5c15c491)
    Reviewed-on: http://review.gluster.org/15445
    Smoke: Gluster Build System <jenkins@build.gluster.org>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.org>
    Reviewed-by: Saravanakumar Arumugam <sarumuga@redhat.com>

Comment 3 Aravinda VK 2016-10-27 05:22:34 UTC
glusterfs-3.9.0rc2 is released[1] and packages are available for different distributions[2] to test.

[1] http://www.gluster.org/pipermail/maintainers/2016-October/001601.html
[2] http://www.gluster.org/pipermail/maintainers/2016-October/001605.html and http://www.gluster.org/pipermail/maintainers/2016-October/001606.html

Comment 4 Aravinda VK 2016-12-06 06:00:40 UTC
Gluster 3.9 GA is released http://blog.gluster.org/2016/11/announcing-gluster-3-9/


Note You need to log in before you can comment on or make changes to this bug.